<?php
/* Social Match By Xohan - xohansosa@gmail.com */
date_default_timezone_set('America/Chicago');
session_cache_limiter('none');
session_start();

// Include 'config.php' file
require('config.php');

// Connect to SQL Server
$mysqli = new mysqli($db_host, $db_username, $db_password,$db_name);

// Check connection
if (mysqli_connect_errno($mysqli)) {
    exit(mysqli_connect_error());
}

// Stores site configurations to variables for later use
$sm = array();
$sm['config'] = siteConfig();
$sm['price'] = sitePrices();
$sm['basic'] = siteAccountsBasic();
$sm['premium'] = siteAccountsPremium();
$sm['lang'] = siteLang($sm['config']['lang']);
$mobile = false;

$sm['config']['site_url'] = $site_url;
$sm['config']['theme_url'] = $site_url . '/themes/' . $sm['config']['theme'];
$sm['config']['theme_url_mobile'] = $site_url . '/themes/' . $config['theme_mobile'];
$sm['config']['theme_url_email'] = $site_url . '/themes/' . $config['theme_email'];
$sm['config']['ajax_path'] = $site_url . '/requests';

if (!isset($_SESSION['lang'])) {
    $_SESSION['lang'] = $sm['config']['lang'];
}
// Login verification and user stats update
$logged = false;
$user = array();

if (!empty($_SESSION['user']) && is_numeric($_SESSION['user']) && $_SESSION['user'] > 0) {
	$user_id = secureEncode($_SESSION['user']);
	$logged = true;
	getUserInfo($user_id,0);
	checkUserPremium($user_id);
	$sm['lang'] = siteLang($sm['user']['lang']);	
}

$sm['logged'] = $logged;

if (!empty($_GET['lang'])) {
	$slang = secureEncode($_GET['lang']);
	$_SESSION['lang'] = $slang;
	$sm['lang'] = siteLang($_SESSION['lang']);
	if ($logged == true) {
	   $mysqli->query("UPDATE users SET lang = '".$slang."' WHERE id = '".$user_id."'"); 
	}
}

// Removes session and unnecessary variables if user verification fails
if ($logged == false) {
    unset($_SESSION['user']);
    unset($user);
}